---
title: "Harbor v2.10 release"
author:
  name: "Orlin Vasilev"
date: 2023-12-22T06:00:00+01:00
draft: false
showPageInfo: true
---

### Harbor [2.10 Release](r210): Enhancements, Features, and More! 🚀
![banner](../img/blog-2.10/robot.jpg)

We're thrilled to announce the latest release of Harbor, version [2.10](r210)! This version brings a myriad of exciting new features, enhancements, and improvements that elevate user experience, security, and performance.

## Exciting New Features 🎉

### Robot Account Full Access
- **Seamless Robot Creation**: A user-friendly tutorial facilitates effortless robot creation with customizable permission sets at system and project levels. 
- **Customized Permissions**: Easily manage full permissions for robot accounts. [Read more](https://goharbor.io/docs/2.10.0/administration/robot-accounts/)

### Supporting OCI Distribution Spec v1.1.0-rc3
- **Compatibility Enhancement**: Harbor now supports OCI Distribution Spec v1.1.0-rc3 for enhanced compatibility and functionality. [Learn more](https://github.com/opencontainers/distribution-spec/releases/tag/v1.1.0-rc3)

### Additional Features
- **Quota Sorting**: Improved storage sorting in the quota management page. [Read more](https://github.com/goharbor/harbor/pull/19576)
- **OIDC Provider Customization**: Now customize the OIDC provider name for enhanced authentication.
- **GDPR Compliance**: Audit logs now comply with GDPR regulations for enhanced data privacy. [Check it out](https://github.com/goharbor/harbor/pull/17396)


## Documentation and Community Updates 📚

- **Docs Update**: Added new headings to contributing docs for better readability.
- **Community Additions**: Welcomed new adopters and contributors - NS, CERN and more.. to the Harbor community. [Community updates](https://github.com/goharbor/harbor/blob/main/ADOPTERS.md)

## New Contributors 👏

A big shoutout to our new contributors joining the Harbor community:
- **[slushysnowman](https://github.com/slushysnowman)** - Contribution in [#18878](https://github.com/goharbor/harbor/pull/18878)
- **[arnoldberlin](https://github.com/arnoldberlin)** - Contribution in #[18884](https://github.com/goharbor/harbor/pull/18884)
- **[mterwill](https://github.com/mterwill)** - Contribution in [#19412](https://github.com/goharbor/harbor/pull/19412)
- **[Nhqml](https://github.com/Nhqml)** - Contribution in [#19418](https://github.com/goharbor/harbor/pull/19418)
- **[imeoer](https://github.com/imeoer)** - Contribution in [#19453](https://github.com/goharbor/harbor/pull/19453)
- **[SphinxKnight](https://github.com/SphinxKnight)** - Contribution in [#19472](https://github.com/goharbor/harbor/pull/19472)
- **[jmichot-exotec](https://github.com/jmichot-exotec)** - Contribution in [#19564](https://github.com/goharbor/harbor/pull/19564)
- **[azsteinb](https://github.com/azsteinb)** - Contribution in [#19651](https://github.com/goharbor/harbor/pull/19651)

This release wouldn't have been possible without the dedication and support of our growing community of contributors. Your efforts are invaluable!

For a detailed list of changes and updates, dive into the full release notes [here](r210).

Upgrade to Harbor [2.10](r210) today and experience the latest enhancements firsthand!

## Collaborate with the Harbor Community

Get updates on X(Twitter): [@project\_harbor](https://twitter.com/project_harbor)  
Chat with us on Slack: [#harbor](https://cloud-native.slack.com/messages/harbor)
and [#harbor-dev](https://cloud-native.slack.com/messages/harbor-dev)
on the[CNCF Slack](https://slack.cncf.io)  
Collaborate with us on [GitHub](https://github.com/goharbor/harbor)  
Attend the [community meetings](https://github.com/goharbor/community/wiki/Harbor-Community-Meetings)  

&nbsp;
&nbsp;

Orlin Vasilev  
Harbor Community/DevRel Lead  
GitHub: [@OrlinVasilev](https://github.com/OrlinVasilev)  
Twitter: [@OrlinVasilev](https://twitter.com/OrlinVasilev)  


[r210]: https://github.com/goharbor/harbor/releases/tag/v2.10.0
