---
title: "Project Harbor Shines at KubeCon NA 2024 in Salt Lake City but what about London?"
author:
  name: "Orlin Vasilev"
date: 2025-02-07T12:00:00+04:00
description: "Harbor team at KubeCon"
showPageInfo: true
---

# Project Harbor Shines at KubeCon NA 2024 in Salt Lake City

The energy was palpable at KubeCon + CloudNativeCon North America 2024, held from November 12 to 15 in the vibrant city of Salt Lake City, Utah. Among the myriad groundbreaking projects showcased, **Project Harbor** stood out, capturing the attention and admiration of the cloud-native community.

# Harbor's Impactful Presence

## The Lightening talk
At the event, attendees were treated to insightful presentations and discussions about Harbor's latest advancements. A highlight was the **Project Lightning Talk** titled "Harbor: Harbor and the World of SBOMs," which delved into the integration of Software Bill of Materials (SBOMs) with Harbor, emphasizing the project's commitment to software supply chain security and transparency.
<br>
[Harbor and the world of SBOMs](https://www.youtube.com/watch?v=6Lnx1Q6J_kc)
<div style="position: relative; width: 100%; padding-bottom: 56.25%; height: 0; overflow: hidden;">
    <iframe src="https://www.youtube.com/embed/6Lnx1Q6J_kc" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border: 0;" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<br>

## The Interview
For those who couldn't attend, here's an engaging interview with the Harbor team, conducted by Sergio Méndez:

[Interview with Harbor Team](https://youtu.be/T1vQ2LMCx6o)

<div style="position: relative; width: 100%; padding-bottom: 56.25%; height: 0; overflow: hidden;">
    <iframe src="https://www.youtube.com/embed/T1vQ2LMCx6o" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border: 0;" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>


## Graduated Projects Update Keynote session

Additionally, Orlin Vasilev's video took the main stage during the keynote sessions to provide an exciting project update on Harbor's progress and future roadmap. Watch the full update here:

[Harbor Project Update by Orlin Vasilev](https://youtu.be/Oif5wQ8UC0s)

<div style="position: relative; width: 100%; padding-bottom: 56.25%; height: 0; overflow: hidden;">
    <iframe src="https://www.youtube.com/embed/Oif5wQ8UC0s" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border: 0;" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>

## Maintainers track
[Harbor Maintainers talk - Project Update by Orlin Vasilev](https://youtu.be/4wD6f4M-1Xs)

<div style="position: relative; width: 100%; padding-bottom: 56.25%; height: 0; overflow: hidden;">
    <iframe src="https://www.youtube.com/embed/4wD6f4M-1Xs" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border: 0;" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>

![London](../img/kc-london-2025.png) 

## Looking Ahead: KubeCon Europe 2025 in London

The momentum continues as we set our sights on **KubeCon + CloudNativeCon Europe 2025**, scheduled from April 1-4 in the historic city of London, England.

### Harbor's Exciting Plans for London

The Harbor team is gearing up to make a significant impact at the upcoming conference. Here's what to look forward to:

- **Maintainers Track**: Dive deep into Harbor's architecture, new features, and plans. Engage with the maintainers and get your questions answered.
[Harbor Project - The Maintainers Session - Orlin Vasilev, SUSE & Vadim Bauer, 8gears Container Registry
Thursday, April 3, 2025, 17:30 - 18:00 BST
Level 3 | ICC Capital Suite 7-9](https://kccnceu2025.sched.com/event/1td0Y/harbor-project-the-maintainers-session-orlin-vasilev-suse-vadim-bauer-8gears-container-registry?iframe=no&w=100%&sidebar=yes&bg=no)

- **Lightning Talks**: Experience quick, impactful sessions that highlight Harbor's latest developments and integrations in the cloud native ecosystem. 
[Project Lightning Talk: Harbor and LFX Mentorship Projects - Orlin Vasilev, Maintainer, Community Manager
Tuesday, April 1, 2025, 11:17 - 11:22 BST
Platinum Suite | Level 3 ](https://kccnceu2025.sched.com/event/1tcvE/project-lightning-talk-harbor-and-lfx-mentorship-projects-orlin-vasilev-maintainer-community-manager?iframe=no&w=100%&sidebar=yes&bg=no)

- **Interactive Kiosk**: Visit Harbor's kiosk in the Project Pavilion to see live demos, explore new functionalities, and connect with the community.
TBA :) 

The excitement is building, and the Harbor team is eager to share their innovations and collaborate with attendees in London. Whether you're a long-time user or new to Harbor, there's something for everyone. Let's come together to celebrate the spirit of open-source and cloud-native technologies!

**Mark your calendars and join us in London for an unforgettable experience!**

[*For more details and to register for KubeCon + CloudNativeCon Europe 2025, visit the official event page.*](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/)

<br>
<br>

[Orlin Vasilev](https://x.com/OrlinVasilev)  
Harbor Team
