---
title: "Bonjour Harbor  KubeCon + CloudNativeCon Europe 2024 - Paris"
author:
name: "Orlin Vasilev"
description: "The Harbor team at KubeCon Europe in Paris"
date: 2024-03-13T12:00:00+04:00
showPageInfo: true
---

## Join the Harbor Team at KubeCon in Paris!


Bonjour, fellow code aficionados! We're thrilled to announce that we'll be diving into the tech extravaganza that is KubeCon + CloudNativeCon 2023, taking place in the magnificent city of Paris during the week of - March 18th.

![KubeCon Paris](../img/kubeconeu2024.jpg)

Assuming you've arrived here through the power of algorithmic destiny and not mere chance, let's geek out about Project Harbor together! Picture this: a melting pot of diverse talents and innovative companies, all coming together to shape the future of cloud-native computing. For a riveting data deep dive, check out the [Harbor's DevStats Page by CNCF](https://all.devstats.cncf.io/d/53/projects-health?orgId=1).

Now, grab your baguettes and berets because [Yan Wang](https://twitter.com/wy65701436), [Vadim Bauer](https://twitter.com/vad1mo) and [Orlin Vasilev](https://twitter.com/OrlinVasilev) are gearing up to spread some tech magic in Paris with a pit stop at Rejects for the true connoisseurs!. Spot us at the conference rocking our signature Harbor t-shirts – the perfect attire for blending in with the tech-savvy crowd or causing a stir at the Louvre!


Here's where you can catch us:

* [**Harbor Maintainers track**](https://sched.co/1YhgU)  
March 20 | 17:25 - 18:00 (local time) 
  [Project Harbor, All the Year Around, and What Comes Next](https://sched.co/1YhgU)  
 [Vadim Bauer](https://twitter.com/vad1mo), [Yan Wang](https://twitter.com/wy65701436) and [Orlin Vasilev](https://twitter.com/OrlinVasilev) - will be presenting this edition of the maintainer's track  
  
**Abstract:** In 2023, we released Harbor v2.8, which integrated CloudEvents, improved the JobService dashboard, and supported OCI distribution spec 1.1. In our v2.9 release, we introduced the Security Hub and significantly improved the GC for parallel deletion. The platform was further strengthened by integrating Nydus and Notation. The winter release of Harbor - v2.10, introduced improved customization of access to robot accounts through the user interface and paved the way for the integration of SBOM. Our roadmap for the next year includes finalizing the SBOM implementation, integrating multi-scanners, and designing policies for organizing various auto-generated SBOMs. Our goal is to increase the adoption of distribution OCI spec 1.1 and expand our client base. We are also exploring an AI-assistant registry - trends in AI. We welcome software engineers and DevOps professionals to join our community and explore the possibilities of Harbor together. Let's work together to make Harbor even better!

* [**Leveraging OCI 1.1 for Enhanced SBOM Integration and Vulnerability Scanning in Harbor**](https://sched.co/1YeRK)
March 22nd - 14:00 - 14:35 (local time)
Leveraging OCI 1.1 for Enhanced SBOM Integration and Vulnerability Scanning in Harbor - Teppei Fukuda, Aqua Security & Shengwen Yu, VMware

**Abstract:** With the rise in software supply chain attacks, stakeholders in the software industry become more interested in the supply chain security utilizing SBOM (Software Bill of Materials). This talk will focus on the SBOM integration between Harbor project and Aqua Trivy scanner. Currently, Harbor supports manually attaching SBOM artifacts to its subject image as an accessory. Leveraging OCI distribution-spec 1.1, SBOM can be auto-generated and auto-associated, which enhances the visibility of the software building process. Additionally, the SBOM scanning capability in Harbor will streamline vulnerability scanning by eliminating the procedure of repeatedly analyzing container images, making the scanning process more efficient. Furthermore, the new Harbor scanner pluggable spec provides compatibility and flexibility. This session will give a demo to show SBOM generation and SBOM scanning for vulnerabilities, providing practical insights for large-scale containers security management.


* **Meet the Project Kiosk Booth**   
Find us at the CNCF Project Kiosks number PP15-A	Part-time - PM (W, Th, F) on:
  - Wednesday, March 20th - 15:00 – 20:00 (local time)  
  - Thursday, March 21nd - 13:30 – 17:00 (local time)  
  - Friday, March 22nd - 12:30 – 14:30 (local time)


[Kiosk information here](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/program/project-engagement/#project-kiosk-schedule)  


Get ready to embrace your inner tech geek in the City of Love, where every byte is a work of art and every line of code, a love letter to innovation. Mention this post for an extra sprinkle of French flair!

By the way, mention this blog post and come by the kiosk or project meeting we have some goodies for you :)

[Orlin Vasilev](https://twitter.com/OrlinVasilev)  
Harbor Community Lead
